.facets_wrapper {
  display: flex;
  flex-direction: column;

  &::before {
    content: "";
    display: flex;
    flex-grow: 1;
    width: 100%;
  }

  #facets {
    position: sticky;
    bottom: 0;

    @media (min-width: 992px) {
      min-height: 100vh;
    }

    .facets__title {
      font-size: 1.4rem;
      font-weight: 600;

      .facets-button {
        border: none;
        background-color: transparent;

        &:focus-visible, &:focus {
          outline: 2px double $focus-color;
        }
      }
    }

    .facets__facets {
      .facets__group {
        margin-bottom: 1rem;

        .facets__group-title {
          display: flex;
          align-items: center;
          gap: 5px;
          font-size: 1rem;
          font-weight: bold;
        }

        .facets__list {
          list-style: none;
          padding: 0;
          margin-bottom: 0;

          .facets__item {
            line-height: 1.5rem;
            position: relative;
            color: var(--xs-pri-600);

            .facets__link {
              display: grid;
              grid-template-columns: 1fr 30px;
              margin: 0;

              .facet-label {
                display: -webkit-box;
                -webkit-line-clamp: 1;
                -webkit-box-orient: vertical;
                overflow: hidden;
                text-overflow: ellipsis;
                word-break: break-all;
                padding: 0;

                &:active, &:hover {
                  text-decoration: underline;
                }
              }

              .facet-count {
                text-align: end;
                padding: 0;
                color: $text-muted;
              }
            }

            &.active {
              &:before {
                content: url("../../images/right-arrow.svg");
                filter: invert(17%) sepia(98%) saturate(2466%) hue-rotate(105deg) brightness(95%) contrast(104%);
                font-size: 24px;
                left: -12px;
                position: absolute;
                top: -3px;
                width: 12px;
              }
            }
          }
        }

        @include media-breakpoint-down(lg) {
          .facets__limiter {
            display: none;
          }
        }

        .facets__limiter {
          transition: 0.5s;
          color: var(--xs-pri-400);
          width: 100%;
          border: none;
          background-color: transparent;

          &:hover {
            color: var(--xs-pri-600);
          }
        }

        .cursor-pointer {
          cursor: pointer;
        }
      }
    }
  }
}
